/vcs-connections/{id}/webhooks
POST
/vcs-connections/{id}/webhooks
const url = 'https://example.com/api/v1/vcs-connections/example/webhooks';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"appId":"example","owner":"example","name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/vcs-connections/example/webhooks \ --header 'Content-Type: application/json' \ --data '{ "appId": "example", "owner": "example", "name": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
appId
required
string
owner
required
string
name
required
string
Example generated
{ "appId": "example", "owner": "example", "name": "example"}Responses
Section titled “ Responses ”Default Response
Media type application/json
Default Response
Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{ "type": "example", "title": "example", "status": 1, "code": "example", "detail": "example", "instance": "example", "errors": [ { "path": "example", "message": "example" } ]}Default Response
Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{ "type": "example", "title": "example", "status": 1, "code": "example", "detail": "example", "instance": "example", "errors": [ { "path": "example", "message": "example" } ]}